import * as $dara from '@darabonba/typescript';
import { RenewDedicatedHostsResponseBody } from "./RenewDedicatedHostsResponseBody";
export declare class RenewDedicatedHostsResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: RenewDedicatedHostsResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
